=== debian/control ===
Source: libgringotts
Priority: optional
Maintainer: Jose G. López <josgalo@gmail.com>
Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.2), zlib1g-dev,
 libbz2-dev, libmcrypt-dev, libmhash-dev
Standards-Version: 4.1.2
Section: libs
Homepage: http://gringotts.shlomifish.org
Vcs-Git: https://gitlab.com/deb-pkg/libgringotts.git
Vcs-Browser: https://gitlab.com/deb-pkg/libgringotts

Package: libgringotts-dev
Section: libdevel
Architecture: any
Depends: libgringotts2 (= ${binary:Version}), ${misc:Depends}
Description: development files for the gringotts data encapsulation library
 A small, easy-to-use, thread-safe C library originally developed
 for Gringotts; its purpose is to encapsulate data (generic: ASCII
 but also binary data) in an encrypted and compressed file. It
 uses strong encryption algorithms, to ensure the data is as safe as
 possible, and allows the user to have the complete control over all
 the algorithms used in the process.
 .
 For encryptions, libgringotts makes use of the MCrypt and MHash
 C libraries by Nikos Mavroyanopoulos.
 .
 This package contains the headers files needed for software development
 using the libgringotts data encapsulation library.

Package: libgringotts2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: gringotts data encapsulation and encryption library
 A small, easy-to-use, thread-safe C library originally developed
 for Gringotts; its purpose is to encapsulate data (generic: ASCII
 but also binary data) in an encrypted and compressed file. It
 uses strong encryption algorithms, to ensure the data is as safe as
 possible, and allows the user to have the complete control over all
 the algorithms used in the process.
 .
 For encryptions, libgringotts makes use of the MCrypt and MHash
 C libraries by Nikos Mavroyanopoulos.
