=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh $@

#override_dh_auto_test:
#ifneq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH),s390x hurd-i386))
#	dh_auto_test
#endif

#override_dh_auto_configure:
#	dh_auto_configure -- --prefix=/usr CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

#override_dh_makeshlibs:
#	dh_makeshlibs -V
#	dpkg-gensymbols -plibgringotts2
